[arch-commits] Commit in (9 files)

Gaetan Bisson bisson at archlinux.org
Tue Apr 26 20:17:57 UTC 2011


    Date: Tuesday, April 26, 2011 @ 16:17:56
  Author: bisson
Revision: 120840

initial commit

Added:
  cronie/
  cronie/repos/
  cronie/trunk/
  cronie/trunk/PKGBUILD
  cronie/trunk/conf.d
  cronie/trunk/crontab
  cronie/trunk/pam.d
  cronie/trunk/rc.d
  cronie/trunk/run-cron

----------+
 PKGBUILD |   64 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 conf.d   |    1 
 crontab  |   10 +++++++++
 pam.d    |    7 ++++++
 rc.d     |   38 ++++++++++++++++++++++++++++++++++++
 run-cron |   19 ++++++++++++++++++
 6 files changed, 139 insertions(+)

Added: cronie/trunk/PKGBUILD
===================================================================
--- cronie/trunk/PKGBUILD	                        (rev 0)
+++ cronie/trunk/PKGBUILD	2011-04-26 20:17:56 UTC (rev 120840)
@@ -0,0 +1,64 @@
+# Contributor: Kaiting Chen <kaiting.chen at kiwilight.com>
+# Maintainer: Gaetan Bisson <bisson at archlinux.org>
+
+pkgname='cronie'
+pkgver=1.4.7
+pkgrel=4
+pkgdesc='Daemon that runs specified programs at scheduled times and related tools'
+url='https://fedorahosted.org/cronie/'
+license=('custom:BSD')
+arch=('i686' 'x86_64')
+depends=('pam')
+
+source=("https://fedorahosted.org/releases/c/r/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+        'crontab'
+        'conf.d'
+        'pam.d'
+        'rc.d'
+        'run-cron')
+sha1sums=('c6644ba0e58bcb14e0bb3f925e3e8cc3f0d47a7f'
+          'c2aae6a8f2634af8c751c6a3a9507ba02403569d'
+          '69d1e76af4efa5dddb10170008a8f51f5c9486e9'
+          '6d8aef6880935b3dcc3e28481111d036544eeae5'
+          '4d6f14eae01154b6997926fa0eb5c1673a3f3321'
+          '53e732ca5748766f33dac09a9e0653f3d069f78e')
+
+backup=(etc/{crontab,cron.deny,{conf.d,pam.d}/crond})
+
+conflicts=('dcron')
+replaces=('dcron')
+provides=('cron')
+groups=('base')
+
+build() {
+	cd "${srcdir}/${pkgname}-${pkgver}"
+
+	./configure \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--localstatedir=/var \
+		--enable-anacron \
+		--with-inotify \
+		--with-pam \
+
+	make
+}
+
+package() {
+	cd "${srcdir}/${pkgname}-${pkgver}"
+
+	make DESTDIR="${pkgdir}" install
+
+	install -d "${pkgdir}"/etc/cron.{d,hourly,daily,weekly,monthly}
+	install -d "${pkgdir}"/var/spool/{ana,}cron
+	chmod u+s "${pkgdir}"/usr/bin/crontab
+
+	install -Dm755 ../rc.d "${pkgdir}"/etc/rc.d/crond
+	install -Dm755 ../run-cron "${pkgdir}"/usr/bin/run-cron
+	install -Dm644 ../conf.d "${pkgdir}"/etc/conf.d/crond
+	install -Dm644 ../pam.d "${pkgdir}"/etc/pam.d/crond
+	install -Dm644 ../crontab "${pkgdir}"/etc/crontab
+	touch "${pkgdir}"/etc/cron.deny
+
+	install -Dm644 COPYING "${pkgdir}"/usr/share/licenses/cronie/COPYING
+}


Property changes on: cronie/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Added: cronie/trunk/conf.d
===================================================================
--- cronie/trunk/conf.d	                        (rev 0)
+++ cronie/trunk/conf.d	2011-04-26 20:17:56 UTC (rev 120840)
@@ -0,0 +1 @@
+CROND_ARGS=""

Added: cronie/trunk/crontab
===================================================================
--- cronie/trunk/crontab	                        (rev 0)
+++ cronie/trunk/crontab	2011-04-26 20:17:56 UTC (rev 120840)
@@ -0,0 +1,10 @@
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+SHELL=/bin/bash
+HOME=/var/empty
+
+# Minute Hour Date Month Wday User Command
+
+11  *  *  *  *  root  run-cron /etc/cron.hourly
+21  4  *  *  *  root  run-cron /etc/cron.daily
+41  4  *  *  0  root  run-cron /etc/cron.weekly
+51  4  1  *  *  root  run-cron /etc/cron.monthly

Added: cronie/trunk/pam.d
===================================================================
--- cronie/trunk/pam.d	                        (rev 0)
+++ cronie/trunk/pam.d	2011-04-26 20:17:56 UTC (rev 120840)
@@ -0,0 +1,7 @@
+account   required    pam_access.so
+account   required    pam_time.so
+account   required    pam_unix.so
+
+session   required    pam_limits.so
+session   required    pam_env.so
+session   required    pam_unix.so

Added: cronie/trunk/rc.d
===================================================================
--- cronie/trunk/rc.d	                        (rev 0)
+++ cronie/trunk/rc.d	2011-04-26 20:17:56 UTC (rev 120840)
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+name=crond
+. /etc/conf.d/crond
+PID=$(pidof -o %PPID /usr/sbin/crond)
+
+case "$1" in
+start)
+	stat_busy "Starting $name daemon"
+	[[ -z "$PID" ]] && /usr/sbin/crond $CROND_ARGS &>/dev/null \
+	&& { add_daemon $name; stat_done; } \
+	|| { stat_fail; exit 1; }
+	;;
+stop)
+	stat_busy "Stopping $name daemon"
+	[[ -n "$PID" ]] && kill $PID &>/dev/null \
+	&& { rm_daemon $name; stat_done; } \
+	|| { stat_fail; exit 1; }
+	;;
+reload)
+	stat_busy "Reloading $name daemon"
+	[[ -n "$PID" ]] && kill -HUP $PID &>/dev/null \
+	&& { stat_done; } \
+	|| { stat_fail; exit 1; }
+	;;
+restart)
+	$0 stop
+	sleep 1
+	$0 start
+	;;
+*)
+	echo "usage: $0 {start|stop|restart|reload}"
+	;;
+esac
+exit 0


Property changes on: cronie/trunk/rc.d
___________________________________________________________________
Added: svn:executable
   + *

Added: cronie/trunk/run-cron
===================================================================
--- cronie/trunk/run-cron	                        (rev 0)
+++ cronie/trunk/run-cron	2011-04-26 20:17:56 UTC (rev 120840)
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set +e
+
+[[ $# -lt 1 ]] && { echo "Usage: $0 <dir>"; exit 1; }
+
+[[ ! -d $1 ]] && { echo "Not a directory: $1"; exit 1; }
+
+for i in $1/*[^~,] ; do
+	[[ $i = *.pacorig ]] && continue
+	[[ $i = *.pacsave ]] && continue
+	[[ $i = *.pacnew ]] && continue
+	[[ $i = *.swp ]] && continue
+	[[ $i = *,v ]] && continue
+	[[ -d $i ]] && continue
+	[[ -x $i ]] && $i 2>&1 | awk "(NR==1) {print \"$i:\n\"} {print}"
+done
+
+exit 0


Property changes on: cronie/trunk/run-cron
___________________________________________________________________
Added: svn:executable
   + *




More information about the arch-commits mailing list